import { InnerProps } from './Button.types';
export declare const primaryStyles: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<InnerProps, import("styled-components").DefaultTheme>>;
export declare const negativeStyles: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<InnerProps, import("styled-components").DefaultTheme>>;
export declare const secondaryStyles: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<InnerProps, import("styled-components").DefaultTheme>>;
export declare const neutralStyles: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<InnerProps, import("styled-components").DefaultTheme>>;
